Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

user/articlelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: articlelist.php 9880 2003-07-24 11:07:55Z br $
5 //
6 // Created on: <18-Oct-2000 14:41:37 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "classes/INIFile.php" );
29 // include_once( "classes/eztemplate.php" );
30 // include_once( "classes/ezlocale.php" );
31 // include_once( "classes/ezlist.php" );
32 // include_once( "classes/eztexttool.php" );
33
34 // include_once( "ezarticle/classes/ezarticlecategory.php" );
35 // include_once( "ezarticle/classes/ezarticle.php" );
36 // include_once( "ezarticle/classes/ezarticlerenderer.php" );
37 // include_once( "ezuser/classes/ezobjectpermission.php" );
38 // include_once( "ezsitemanager/classes/ezsection.php" );
39
40 $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID );
41
42 // init the section
43 $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID );
44 $sectionObject->setOverrideVariables();
45
46 $ini =& eZINI::instance( 'site.ini' );
47
48 $Language = $ini->variable( "eZArticleMain", "Language" );
49 $ImageDir = $ini->variable( "eZArticleMain", "ImageDir" );
50 $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" );
51 $DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" );
52 $UserListLimit = $ini->variable( "eZArticleMain", "UserListLimit" );
53 $GrayScaleImageList = $ini->variable( "eZArticleMain", "GrayScaleImageList" );
54 $ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" );
55 $NoArticleHeader = false;
56 $TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" );
57
58 if ( isset( $CategoryID ) )
59 {
60 $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID );
61 }
62
63 // init the section
64 $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID );
65 $sectionObject->setOverrideVariables();
66
67 $templateDirTmp = $sectionObject->templateStyle();
68 if ( !is_null( $templateDirTmp) && trim( $templateDirTmp ) != "" )
69 {
70 $TemplateDir = preg_replace( "/(.+)\/.+(\/?)/", "/\\1/$templateDirTmp\\2", $TemplateDir );
71 }
72
73
74 $t = new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
75 "kernel/ezarticle/user/intl/", $Language, "articlelist.php" );
76
77 $t->setAllStrings();
78
79 // override template for the current category
80 $override = "_override_$CategoryID";
81 // override template for current section
82 // category override will be prefered
83 $sectionOverride = "_sectionoverride_$GlobalSectionID";
84
85
86 if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articlelist" . $override . ".tpl" ) )
87 {
88 $t->set_file( "article_list_page_tpl", "articlelist" . $override . ".tpl" );
89 }
90 else
91 {
92 if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articlelist" . $sectionOverride . ".tpl" ) )
93 {
94 $t->set_file( "article_list_page_tpl", "articlelist" . $sectionOverride . ".tpl" );
95 }
96 else
97 {
98 $t->set_file( "article_list_page_tpl", "articlelist.tpl" );
99 }
100 }
101
102 $t->set_block( "article_list_page_tpl", "header_item_tpl", "header_item" );
103
104 // headline
105 $t->set_block( "header_item_tpl", "latest_headline_tpl", "latest_headline" );
106 $t->set_block( "header_item_tpl", "category_headline_item_tpl", "category_headline_item" );
107
108 // path
109 $t->set_block( "article_list_page_tpl", "path_item_tpl", "path_item" );
110
111 // article
112 $t->set_block( "article_list_page_tpl", "category_list_tpl", "category_list" );
113 $t->set_block( "category_list_tpl", "category_item_tpl", "category_item" );
114
115 // image
116 $t->set_block( "article_list_page_tpl", "current_image_item_tpl", "current_image_item" );
117
118 $t->set_block( "category_item_tpl", "image_item_tpl", "image_item" );
119 $t->set_block( "category_item_tpl", "no_image_tpl", "no_image" );
120
121 // product
122 $t->set_block( "article_list_page_tpl", "article_list_tpl", "article_list" );
123 $t->set_block( "article_list_tpl", "article_item_tpl", "article_item" );
124
125 $t->set_block( "article_item_tpl", "article_date_tpl", "article_date" );
126 $t->set_block( "article_item_tpl", "headline_with_link_tpl", "headline_with_link" );
127 $t->set_block( "article_item_tpl", "headline_without_link_tpl", "headline_without_link" );
128
129 $t->set_block( "article_item_tpl", "article_image_tpl", "article_image" );
130 $t->set_block( "article_item_tpl", "read_more_tpl", "read_more" );
131 $t->set_block( "article_item_tpl", "article_topic_tpl", "article_topic" );
132 $t->set_block( "article_item_tpl", "message_count_tpl", "message_count" );
133
134 // prev/next
135 $t->set_block( "article_list_page_tpl", "previous_tpl", "previous" );
136 $t->set_block( "article_list_page_tpl", "next_tpl", "next" );
137
138 // print headline
139 if ( isset( $CategoryID ) && $CategoryID == 0 )
140 {
141 $t->parse( "latest_headline", "latest_headline_tpl" );
142 $t->set_var( "category_headline_item", "" );
143 }
144 else
145 {
146 $t->parse( "category_headline_item", "category_headline_tpl" );
147 $t->set_var( "latest_headline", "" );
148 $t->set_var( "latest_headline_item", "" );
149 }
150
151 // read user override variables for image size
152 $ThumbnailImageWidth = $ini->variable( "eZArticleMain", "ThumbnailImageWidth" );
153 $ThumbnailImageHeight = $ini->variable( "eZArticleMain", "ThumbnailImageHeight" );
154
155 $thumbnailImageWidthOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageWidth" );
156 if ( $thumbnailImageWidthOverride )
157 {
158 $ThumbnailImageWidth = $thumbnailImageWidthOverride;
159 }
160
161 $thumbnailImageHeightOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageHeight" );
162 if ( $thumbnailImageHeightOverride )
163 {
164 $ThumbnailImageHeight = $thumbnailImageHeightOverride;
165 }
166
167
168 // image dir
169 $t->set_var( "image_dir", $ImageDir );
170
171 // makes the section ID available in articleview template
172 $t->set_var( "section_id", $GlobalSectionID );
173
174 $category = new eZArticleCategory( $CategoryID );
175
176 $t->set_var( "current_category_name", $category->name() );
177
178 //EP: CategoryDescriptionXML=enabled, description go in XML -------------------
179 if ( $ini->variable( "eZArticleMain", "CategoryDescriptionXML" ) == "enabled" )
180 {
181 if ($CategoryID)
182 {
183 // include_once( "ezarticle/classes/ezarticlerenderer.php" );
184
185 $article = new eZArticle();
186 $article->setContents ($category->description(false));
187
188 $renderer = new eZArticleRenderer( $article );
189
190 $t->set_var( "current_category_description", $renderer->renderIntro() );
191 }
192 else
193 {
194 $t->set_var( "current_category_description", "" );
195 }
196 }
197 else
198 {
199 $t->set_var( "current_category_description", eZTextTool::nl2br( $category->description() ) );
200 }
201 //EP ---------------------------------------------------------------------------
202
203 if ( isset( $NoArticleHeader ) and $NoArticleHeader == true )
204 {
205 $t->set_var( "header_item", "" );
206 }
207 else
208 {
209 $t->parse( "header_item", "header_item_tpl" );
210 }
211
212 $SiteTitleAppend = "";
213
214 // path
215 $pathArray = $category->path();
216
217 $t->set_var( "path_item", "" );
218 foreach ( $pathArray as $path )
219 {
220 $t->set_var( "category_id", $path[0] );
221
222 if ( $CapitalizeHeadlines == "enabled" )
223 {
224 // include_once( "classes/eztexttool.php" );
225 $t->set_var( "category_name", eZTextTool::capitalize( $path[1] ) );
226 }
227 else
228 {
229 $t->set_var( "category_name", $path[1] );
230 }
231
232 $SiteTitleAppend .= $path[1] . " - ";
233
234 $t->parse( "path_item", "path_item_tpl", true );
235 }
236
237 $categoryList = $category->getByParent( $category );
238
239 $user =& eZUser::currentUser();
240
241 // current category image
242 $image =& $category->image();
243
244 $t->set_var( "current_image_item", "" );
245
246 if ( ( is_a( $image, "eZImage" ) ) && ( $image->id() != 0 ) )
247 {
248 $imageWidth =& $ini->variable( "eZArticleMain", "CategoryImageWidth" );
249 $imageHeight =& $ini->variable( "eZArticleMain", "CategoryImageHeight" );
250
251 $variation =& $image->requestImageVariation( $imageWidth, $imageHeight );
252
253 $imageURL = "/" . $variation->imagePath();
254 $imageWidth =& $variation->width();
255 $imageHeight =& $variation->height();
256 $imageCaption =& $image->caption();
257 $imageDescription =& $image->description();
258
259 $photographer =& $image->photographer();
260
261 $t->set_var( "current_image_width", $imageWidth );
262 $t->set_var( "current_image_height", $imageHeight );
263 $t->set_var( "current_image_url", $imageURL );
264 $t->set_var( "current_image_caption", $imageCaption );
265 $t->set_var( "current_image_description", $imageDescription );
266 $t->set_var( "current_image_photographer", $photographer->name() );
267
268 $t->parse( "current_image_item", "current_image_item_tpl" );
269 }
270 else
271 {
272 $t->set_var( "current_image_item", "" );
273 }
274
275 // categories
276 $i = 0;
277 $t->set_var( "category_list", "" );
278 foreach ( $categoryList as $categoryItem )
279 {
280 $t->set_var( "category_id", $categoryItem->id() );
281 $t->set_var( "category_name", $categoryItem->name() );
282
283 $parent = $categoryItem->parent();
284 $image =& $categoryItem->image();
285
286 $t->set_var( "image_item", "" );
287
288 if ( ( is_a( $image, "eZImage" ) ) && ( $image->id() != 0 ) )
289 {
290 $imageWidth =& $ini->variable( "eZArticleMain", "CategoryImageWidth" );
291 $imageHeight =& $ini->variable( "eZArticleMain", "CategoryImageHeight" );
292
293 $variation =& $image->requestImageVariation( $imageWidth, $imageHeight );
294
295 $imageURL = "/" . $variation->imagePath();
296 $imageWidth =& $variation->width();
297 $imageHeight =& $variation->height();
298 $imageCaption =& $image->caption();
299
300 $t->set_var( "image_width", $imageWidth );
301 $t->set_var( "image_height", $imageHeight );
302 $t->set_var( "image_url", $imageURL );
303 $t->set_var( "image_caption", $imageCaption );
304 $t->set_var( "no_image", "" );
305 $t->parse( "image_item", "image_item_tpl" );
306 }
307 else
308 {
309 $t->parse( "no_image", "no_image_tpl" );
310 $t->set_var( "image_item", "" );
311 }
312
313
314 if ( ( $i % 2 ) == 0 )
315 {
316 $t->set_var( "td_alt", "1" );
317 $t->set_var( "td_class", "bglight" );
318 }
319 else
320 {
321 $t->set_var( "td_alt", "2" );
322 $t->set_var( "td_class", "bgdark" );
323 }
324
325 //EP: CategoryDescriptionXML=enabled, description go in XML -------------------
326 if ( $ini->variable( "eZArticleMain", "CategoryDescriptionXML" ) == "enabled" )
327 {
328 // include_once( "ezarticle/classes/ezarticlerenderer.php" );
329
330 $article = new eZArticle();
331 $article->setContents ($categoryItem->description(false));
332
333 $renderer = new eZArticleRenderer( $article );
334
335 $t->set_var( "category_description", $renderer->renderIntro() );
336 }
337 else
338 {
339 $t->set_var( "category_description", $categoryItem->description() );
340 }
341
342 //EP ---------------------------------------------------------------------------
343
344 $t->parse( "category_item", "category_item_tpl", true );
345 $i++;
346 }
347
348 if ( count( $categoryList ) > 0 )
349 $t->parse( "category_list", "category_list_tpl" );
350 else
351 $t->set_var( "category_list", "" );
352
353
354 // set the offset/limit
355 if ( !isset( $Offset ) or !is_numeric( $Offset ) )
356 $Offset = 0;
357
358 if ( ( $category->listLimit() > 0 ) && $Offset == 0 )
359 $Limit = $category->listLimit();
360 else
361 $Limit = $UserListLimit;
362
363 if ( $CategoryID == 0 )
364 {
365 // do not set offset for the main page news
366 // always sort by publishing date is the merged category
367 $article = new eZArticle();
368 $articleList =& $article->articles( "time", false, $Offset, $Limit );
369 $articleCount = $article->articleCount( false );
370 }
371 else
372 {
373 $articleList =& $category->articles( $category->sortMode(), false, true, $Offset, $Limit, $category->id() );
374 $articleCount = $category->articleCount( false, true );
375 }
376
377 $t->set_var( "category_current_id", $CategoryID );
378
379 $locale = new eZLocale( $Language );
380 $i = 0;
381 $t->set_var( "article_list", "" );
382
383 $SiteDescriptionOverride = "";
384 foreach ( $articleList as $article )
385 {
386 $categoryDef =& $article->categoryDefinition();
387
388 $t->set_var( "category_id", $CategoryID );
389
390 if ( $ForceCategoryDefinition == "enabled" )
391 {
392 $t->set_var( "category_id", $categoryDef->id() );
393 }
394 else if ( $CategoryID == 0 )
395 {
396 $t->set_var( "category_id", $categoryDef->id() );
397 }
398
399
400 $t->set_var( "category_def_name", $categoryDef->name() );
401 $t->set_var( "category_def_id", $categoryDef->id() );
402
403 $t->set_var( "article_id", $article->id() );
404 $t->set_var( "article_name", $article->name() );
405
406 $SiteDescriptionOverride .= $article->name() . " ";
407
408 $t->set_var( "author_text", $article->authorText() );
409
410 // check for topic
411 $topic =& $article->topic();
412
413 if ( ( is_a( $topic, "eZTopic" ) ) && ( $topic->name() != "" ) )
414 {
415 $t->set_var( "topic_id", $topic->id() );
416 $t->set_var( "topic_name", $topic->name() );
417 $t->parse( "article_topic", "article_topic_tpl" );
418 }
419 else
420 {
421 $t->set_var( "article_topic", "" );
422 }
423
424 // preview image
425 $thumbnailImage =& $article->thumbnailImage();
426 if ( $thumbnailImage )
427 {
428 if ( $GrayScaleImageList == "enabled" )
429 $convertToGray = true;
430 else
431 $convertToGray = false;
432
433 $variation =& $thumbnailImage->requestImageVariation( $ThumbnailImageWidth, $ThumbnailImageHeight, $convertToGray );
434 if( is_object( $variation ) ) {
435 $t->set_var("thumbnail_image_uri", "/" . $variation->imagePath());
436 $t->set_var("thumbnail_image_width", $variation->width());
437 $t->set_var("thumbnail_image_height", $variation->height());
438 $t->set_var("thumbnail_image_caption", $thumbnailImage->caption());
439 }
440
441 $t->parse( "article_image", "article_image_tpl" );
442 }
443 else
444 {
445 $t->set_var( "article_image", "" );
446 }
447
448
449 if ( ( $i % 2 ) == 0 )
450 {
451 $t->set_var( "tr_start", "<tr>" );
452 $t->set_var( "tr_stop", "" );
453
454 $t->set_var( "td_alt", "1" );
455 $t->set_var( "td_class", "bglight" );
456 }
457 else
458 {
459 $t->set_var( "tr_start", "" );
460 $t->set_var( "tr_stop", "</tr>" );
461
462
463 $t->set_var( "td_alt", "2" );
464 $t->set_var( "td_class", "bgdark" );
465 }
466
467 $published =& $article->published();
468
469 $authorText = $article->authorText();
470
471 $publishedDateValue =& $published->date();
472 $publishedTimeValue =& $published->time();
473
474 $t->set_var( "article_datevalue", $locale->format( $publishedDateValue ) );
475 $t->set_var( "article_timevalue", $locale->format( $publishedTimeValue ) );
476
477 if ( $authorText == "" || $authorText[0] == "-" )
478 {
479 $t->set_var( "article_published", $locale->format( $published ) );
480 $t->set_var( "article_date", "" );
481 }
482 else
483 {
484 $t->set_var( "article_published", $locale->format( $published ) );
485 $t->parse( "article_date", "article_date_tpl" );
486 }
487
488 $renderer = new eZArticleRenderer( $article );
489
490 $t->set_var( "article_intro", $renderer->renderIntro( ) );
491 $t->set_var( "article_intro", $renderer->renderIntro( ) );
492
493 $t->set_var( "messages", "" );
494 if ( $article->forum() )
495 {
496 $forum = $article->forum();
497 $MessageCount = $forum->messageCount( false, true );
498 if ( $MessageCount > 0 )
499 {
500 $t->set_var( "messages", $MessageCount );
501 $t->parse( "message_count", "message_count_tpl" );
502 }
503 else
504 $t->set_var( "message_count", "" );
505 }
506 else
507 $t->set_var( "message_count", "" );
508
509 if ( $article->linkText() != "" )
510 {
511 $t->set_var( "article_link_text", $article->linkText() );
512 }
513 else
514 {
515 $t->set_var( "article_link_text", $DefaultLinkText );
516 }
517
518 // check if the article contains more than intro
519 $contents =& $renderer->renderPage();
520
521 if ( trim( $contents[1] ) == "" && count( $article->attributes( false ) ) <= 0 )
522 {
523 $t->set_var( "read_more", "" );
524 $t->parse( "headline_without_link", "headline_without_link_tpl" );
525 $t->set_var( "headline_with_link", "" );
526 }
527 else
528 {
529 $t->parse( "read_more", "read_more_tpl" );
530 $t->parse( "headline_with_link", "headline_with_link_tpl" );
531 $t->set_var( "headline_without_link", "" );
532 }
533
534
535 $t->parse( "article_item", "article_item_tpl", true );
536 $i++;
537 }
538
539 eZList::drawNavigator( $t, $articleCount, $UserListLimit, $Offset, "article_list_page_tpl" );
540
541 if ( count( $articleList ) > 0 )
542 $t->parse( "article_list", "article_list_tpl" );
543 else
544 $t->set_var( "article_list", "" );
545
546
547 if ( isset( $GenerateStaticPage ) and $GenerateStaticPage == "true" and $cachedFile != "" )
548 {
549 $fp = eZPBFile::fopen( $cachedFile, "w+");
550
551 // add PHP code in the cache file to store variables
552 $output = "<?php\n";
553 $output .= "\$GlobalSectionID=\"$GlobalSectionID\";\n";
554 $output .= "\$SiteTitleAppend=\"$SiteTitleAppend\";\n";
555 $output .= "\$SiteDescriptionOverride=\"$SiteDescriptionOverride\";\n";
556 // $output .= "\$eZLanguageOverride=\"$eZLanguageOverride\";\n";
557 $output .= "?>\n";
558
559 $output .= $t->parse( "output", "article_list_page_tpl" );
560
561 // print the output the first time while printing the cache file.
562 print( $output );
563 fwrite ( $fp, $output );
564 fclose( $fp );
565 }
566 else
567 {
568 $t->pparse( "output", "article_list_page_tpl" );
569 }
570
571 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$topic
foreach( $authorArray as $author) $topic
Definition: admin/articleedit.php:852
$forum
$forum
Definition: admin/forumlist.php:50
$article
$article
Definition: articlelog.php:45
$renderer
if(! $article->get( $ArticleID)) $renderer
Definition: articlepreview.php:76
eZArticleCategory
Definition: ezarticlecategory.php:45
eZArticleCategory\sectionIDStatic
static sectionIDStatic($categoryID)
Definition: ezarticlecategory.php:662
eZArticleRenderer
Definition: ezarticlerenderer.php:36
eZArticle
Definition: ezarticle.php:82
eZList\drawNavigator
static drawNavigator(&$t, $total_types, $max_types, $index, $parent=false, $variables=false)
Definition: ezlist.php:401
eZLocale
Definition: ezlocale.php:119
eZPBFile\fopen
static fopen( $filename, $options)
Definition: ezpbfile.php:326
eZSection\globalSectionObject
static & globalSectionObject( $sectionID)
Definition: ezsection.php:366
eZTemplate
Definition: eztemplate.php:107
eZTextTool\capitalize
static capitalize( $string, $bigClass="h1bigger")
Definition: eztexttool.php:105
eZTextTool\nl2br
static nl2br( $string, $xhtml=true)
Definition: eztexttool.php:65
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$fp
$fp
Definition: export.php:97
$contents
$contents
Definition: ezarticle/user/extendedsearch.php:52
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$cachedFile
$cachedFile
Definition: eznewsfeed/user/headlines.php:109
$output
$output
Definition: formpreview.php:81
$articleList
$articleList
Definition: pendinglist.php:112
$GenerateStaticPage
$GenerateStaticPage
Definition: quizscores.php:95
$ThumbnailImageHeight
$ThumbnailImageHeight
Definition: user/articlelist.php:153
$Limit
else $Limit
Definition: user/articlelist.php:361
$category
$category
Definition: user/articlelist.php:174
$t
if(!is_null( $templateDirTmp) &&trim( $templateDirTmp) !="") $t
Definition: user/articlelist.php:74
$ImageDir
$ImageDir
Definition: user/articlelist.php:49
$thumbnailImageHeightOverride
if( $thumbnailImageWidthOverride) $thumbnailImageHeightOverride
Definition: user/articlelist.php:161
$thumbnailImageWidthOverride
$thumbnailImageWidthOverride
Definition: user/articlelist.php:155
$locale
$locale
Definition: user/articlelist.php:379
$SiteTitleAppend
$SiteTitleAppend
Definition: user/articlelist.php:212
$TemplateDir
$TemplateDir
Definition: user/articlelist.php:56
$user
$user
Definition: user/articlelist.php:239
$GlobalSectionID
$GlobalSectionID
Definition: user/articlelist.php:40
$pathArray
$pathArray
Definition: user/articlelist.php:215
$sectionObject
$sectionObject
Definition: user/articlelist.php:43
$ForceCategoryDefinition
$ForceCategoryDefinition
Definition: user/articlelist.php:54
$i
$i
Definition: user/articlelist.php:276
$Language
$Language
Definition: user/articlelist.php:48
$ini
$ini
Definition: user/articlelist.php:46
$override
$override
Definition: user/articlelist.php:80
$image
$image
Definition: user/articlelist.php:242
$categoryList
foreach( $pathArray as $path) $categoryList
Definition: user/articlelist.php:237
$NoArticleHeader
$NoArticleHeader
Definition: user/articlelist.php:55
$DefaultLinkText
$DefaultLinkText
Definition: user/articlelist.php:51
$CapitalizeHeadlines
$CapitalizeHeadlines
Definition: user/articlelist.php:50
$sectionOverride
$sectionOverride
Definition: user/articlelist.php:83
$templateDirTmp
$templateDirTmp
Definition: user/articlelist.php:67
$ThumbnailImageWidth
$ThumbnailImageWidth
Definition: user/articlelist.php:152
$articleCount
$articleCount
Definition: user/articlelist.php:374
$GrayScaleImageList
$GrayScaleImageList
Definition: user/articlelist.php:53
$SiteDescriptionOverride
$SiteDescriptionOverride
Definition: user/articlelist.php:383
$UserListLimit
$UserListLimit
Definition: user/articlelist.php:52
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.